Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.pmapi
Interface TInstanceInfo.EventInfo

All Superinterfaces:
  org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource

All Known Implementing Classes:
  TInstanceInfoImpl.EventInfoImpl

Enclosing interface:
  TInstanceInfo

    public static interface TInstanceInfo.EventInfo

extends org.apache.xmlbeans.XmlObject

An XML event-info(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

Nested Class Summary
`static class` | `TInstanceInfo.EventInfo.Factory` A factory class with static methods for creating instances of this type.

Field Summary
`static org.apache.xmlbeans.SchemaType` | `type`

Fields inherited from interface org.apache.xmlbeans.XmlObject
`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

Method Summary
`int` | `getCount()` Gets the "count" element
`java.util.Calendar` | `getFirstDtime()` Gets the "first-dtime" element
`java.util.Calendar` | `getLastDtime()` Gets the "last-dtime" element
`void` | `setCount(int count)` Sets the "count" element
`void` | `setFirstDtime(java.util.Calendar firstDtime)` Sets the "first-dtime" element
`void` | `setLastDtime(java.util.Calendar lastDtime)` Sets the "last-dtime" element
`org.apache.xmlbeans.XmlInt` | `xgetCount()` Gets (as xml) the "count" element
`org.apache.xmlbeans.XmlDateTime` | `xgetFirstDtime()` Gets (as xml) the "first-dtime" element
`org.apache.xmlbeans.XmlDateTime` | `xgetLastDtime()` Gets (as xml) the "last-dtime" element
`void` | `xsetCount(org.apache.xmlbeans.XmlInt count)` Sets (as xml) the "count" element
`void` | `xsetFirstDtime(org.apache.xmlbeans.XmlDateTime firstDtime)` Sets (as xml) the "first-dtime" element
`void` | `xsetLastDtime(org.apache.xmlbeans.XmlDateTime lastDtime)` Sets (as xml) the "last-dtime" element

Methods inherited from interface org.apache.xmlbeans.XmlObject
`changeType, compareTo, compareValue, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

Methods inherited from interface org.apache.xmlbeans.XmlTokenSource
`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

Field Detail

### type

    static final org.apache.xmlbeans.SchemaType type

Method Detail

### getCount

    int getCount()

  Gets the "count" element

### xgetCount

    org.apache.xmlbeans.XmlInt xgetCount()

  Gets (as xml) the "count" element

### setCount

    void setCount(int count)

  Sets the "count" element

### xsetCount

    void xsetCount(org.apache.xmlbeans.XmlInt count)

  Sets (as xml) the "count" element

### getFirstDtime

    java.util.Calendar getFirstDtime()

  Gets the "first-dtime" element

### xgetFirstDtime

    org.apache.xmlbeans.XmlDateTime xgetFirstDtime()

  Gets (as xml) the "first-dtime" element

### setFirstDtime

    void setFirstDtime(java.util.Calendar firstDtime)

  Sets the "first-dtime" element

### xsetFirstDtime

    void xsetFirstDtime(org.apache.xmlbeans.XmlDateTime firstDtime)

  Sets (as xml) the "first-dtime" element

### getLastDtime

    java.util.Calendar getLastDtime()

  Gets the "last-dtime" element

### xgetLastDtime

    org.apache.xmlbeans.XmlDateTime xgetLastDtime()

  Gets (as xml) the "last-dtime" element

### setLastDtime

    void setLastDtime(java.util.Calendar lastDtime)

  Sets the "last-dtime" element

### xsetLastDtime

    void xsetLastDtime(org.apache.xmlbeans.XmlDateTime lastDtime)

  Sets (as xml) the "last-dtime" element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD